org.bdgenomics.adam.models

# Coverage

###
Related Docs: object Coverage | package models

#### case class Coverage(contigName: String, start: Long, end: Long, count: Double) extends Product with Serializable

Coverage record for CoverageRDD. Contains Region indexed by contig name, start and end, as well as count of coverage at each base pair in that region.

contigName

  Specifies chromosomal location of coverage

start

  Specifies start position of coverage

end

  Specifies end position of coverage

count

  Specifies count of coverage at location

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Coverage
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Coverage(contigName: String, start: Long, end: Long, count: Double)

   contigName

     Specifies chromosomal location of coverage

   start

     Specifies start position of coverage

   end

     Specifies end position of coverage

   count

     Specifies count of coverage at location

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val contigName: String

   Specifies chromosomal location of coverage

7. #### val count: Double

   Specifies count of coverage at location

8. #### val end: Long

   Specifies end position of coverage

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val start: Long

    Specifies start position of coverage

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toFeature: Feature

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    returns

      Feature built from Coverage

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped